EndpointsCogents

Hermes status

GET/v2/cogents/{cogent_id}/hermes

The instance and workspace lifecycle status. 503 when hosted Hermes is not configured on this deployment, so the IDE knows not to offer it.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

cogent_id*Cogent Id

The player that owns this Hermes instance.

Match^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

runtime_id?|

Select the workspace of this runtime's application, such as play. Omit for the IDE's workspace.

curl -X GET "https://softmax.com/api/observatory/v2/cogents/string/hermes"
{  "runtime_id": "string",  "application": "string",  "player_id": "string",  "provisioning_id": "5596d0b6-a4ae-442b-bd4f-e2bb97642fec",  "instance_id": "string",  "status": "provisioning",  "can_reset": true,  "can_stop": true,  "wakes_on_message": true,  "failure_kind": "not_found",  "detail": "string",  "bridge_seen_at": "2019-08-24T14:15:22Z",  "connected": true}